<?php
/**
 * This functions makes the theme compatible with qTranslate Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Helena Pro
 * @since Helena Pro 1.0
 */

if ( ! function_exists( 'helena_menuitem' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own helena_menuitem(), and that function will be used instead.
 *
 * @since Helena Pro 1.0
 */
function helena_menuitem( $menu_item ) {
	// convert local URLs in custom menu items
	if ( $menu_item->type == 'custom' && stripos($menu_item->url, get_site_url()) !== false) {
		$menu_item->url = qtrans_convertURL( $menu_item->url );
	}
		return $menu_item;
} // helena_menuitem
endif;

add_filter( 'wp_setup_nav_menu_item' , 'helena_menuitem', 0 );


if ( ! function_exists( 'helena_qtranslate_invalidcache' ) ) :
/**
 * Template for Clearing qtranslate Invalid Cache
 *
 * To override this in a child theme
 * simply create your own helena_qtranslate_invalidcache(), and that function will be used instead.
 *
 * @since Helena Pro 1.0
 */
function helena_qtranslate_invalidcache() {
	delete_transient( 'helena_header_highlight_content' );
	delete_transient( 'helena_featured_slider' );
	delete_transient( 'helena_hero_content' );
	delete_transient( 'helena_featured_content' );
	delete_transient( 'helena_portfolio' );
	delete_transient( 'helena_logo_slider' );
	delete_transient( 'helena_custom_css' );
	delete_transient( 'helena_promotion_headline' );
	delete_transient( 'all_the_cool_cats' );
	delete_transient( 'helena_footer_content' );
	delete_transient( 'helena_categories' );
	delete_transient( 'all_the_cool_cats' );
} // helena_qtranslate_invalidcache
endif;

add_action( 'after_setup_theme', 'helena_qtranslate_invalidcache' );
